Name:           python-butterfree
Version:        1.7.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A tool for building feature stores - Transform your raw data into beautiful features.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/quintoandar/butterfree
Source:         %{pypi_source butterfree}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'butterfree' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-butterfree
Summary:        %{summary}

%description -n python3-butterfree %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-butterfree h3


%prep
%autosetup -p1 -n butterfree-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x h3


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-butterfree -f %{pyproject_files}


%changelog
%autochangelog